searchNodes=[{"ref":"Geocalc.html","title":"Geocalc","type":"module","doc":"Calculate distance, bearing and more between Latitude/Longitude points."},{"ref":"Geocalc.html#bearing/2","title":"Geocalc.bearing/2","type":"function","doc":"Calculates bearing. Return radians. Example iex&gt; berlin = {52.5075419, 13.4251364} iex&gt; paris = {48.8588589, 2.3475569} iex&gt; Geocalc.bearing(berlin, paris) -1.9739245359361486 iex&gt; Geocalc.bearing(paris, berlin) 1.0178267866082613 Example iex&gt; berlin = %{lat: 52.5075419, lon: 13.4251364} iex&gt; paris = %{latitude: 48.8588589, longitude: 2.3475569} iex&gt; Geocalc.bearing(berlin, paris) -1.9739245359361486"},{"ref":"Geocalc.html#bounding_box/2","title":"Geocalc.bounding_box/2","type":"function","doc":"Calculates a bounding box around a point with a radius in meters Returns an array with 2 points (list format). The bottom left (southwest) point, and the top-right (northeast) one Example iex&gt; berlin = [52.5075419, 13.4251364] iex&gt; radius = 10_000 iex&gt; Geocalc.bounding_box(berlin, radius) [[52.417520954378574, 13.277235453275123], [52.59756284562143, 13.573037346724874]]"},{"ref":"Geocalc.html#bounding_box_for_points/1","title":"Geocalc.bounding_box_for_points/1","type":"function","doc":"Calculates a bounding box for a list of points Returns an array with 2 points (list format). The bottom left (southwest) point, and the top-right (northeast) one Example iex&gt; berlin = [52.5075419, 13.4251364] iex&gt; london = [51.5286416, -0.1015987] iex&gt; paris = [48.8588589, 2.3475569] iex&gt; Geocalc.bounding_box_for_points([berlin, london, paris]) [[48.8588589, -0.1015987], [52.5075419, 13.4251364]]"},{"ref":"Geocalc.html#contains_point?/2","title":"Geocalc.contains_point?/2","type":"function","doc":"Returns true if the bounding box contains the given point. Example iex&gt; germany = [[47.27, 5.87], [55.1, 15.04]] iex&gt; berlin = [52.5075419, 13.4251364] iex&gt; Geocalc.contains_point?(germany, berlin) true"},{"ref":"Geocalc.html#cross_track_distance_to/3","title":"Geocalc.cross_track_distance_to/3","type":"function","doc":"Compute distance from the point to great circle defined by start-point and end-point. Return distance in meters. Example iex&gt; berlin = [52.5075419, 13.4251364] iex&gt; london = [51.5286416, -0.1015987] iex&gt; paris = [48.8588589, 2.3475569] iex&gt; Geocalc.cross_track_distance_to(berlin, london, paris) -877680.2992295175"},{"ref":"Geocalc.html#crossing_parallels/3","title":"Geocalc.crossing_parallels/3","type":"function","doc":"Returns the pair of meridians at which a great circle defined by two points crosses the given latitude. Return longitudes. Example iex&gt; berlin = [52.5075419, 13.4251364] iex&gt; paris = [48.8588589, 2.3475569] iex&gt; Geocalc.crossing_parallels(berlin, paris, 12.3456) {:ok, 123.179463369946, -39.81144878508576} Example iex&gt; point_1 = %{lat: 0, lng: 0} iex&gt; point_2 = %{lat: -180, lng: -90} iex&gt; latitude = 45.0 iex&gt; Geocalc.crossing_parallels(point_1, point_2, latitude) {:error, &quot;Not found&quot;}"},{"ref":"Geocalc.html#degrees_to_radians/1","title":"Geocalc.degrees_to_radians/1","type":"function","doc":"Converts degrees to radians. Return radians. Example iex&gt; Geocalc.degrees_to_radians(143.67156782221554) 2.5075419 Example iex&gt; Geocalc.degrees_to_radians(-10.735322818996854) -0.18736672945597435"},{"ref":"Geocalc.html#destination_point/3","title":"Geocalc.destination_point/3","type":"function","doc":"Finds point between start and end points in direction to end point with given distance (in meters). Finds point from start point with given distance (in meters) and bearing. Return array with latitude and longitude. Example iex&gt; berlin = [52.5075419, 13.4251364] iex&gt; paris = [48.8588589, 2.3475569] iex&gt; bearing = Geocalc.bearing(berlin, paris) iex&gt; distance = 400_000 iex&gt; Geocalc.destination_point(berlin, bearing, distance) {:ok, [50.97658022467569, 8.165929595956982]} Example iex&gt; zero_point = {0.0, 0.0} iex&gt; equator_degrees = 90.0 iex&gt; equator_bearing = Geocalc.degrees_to_radians(equator_degrees) iex&gt; distance = 1_000_000 iex&gt; Geocalc.destination_point(zero_point, equator_bearing, distance) {:ok, [5.484172965344896e-16, 8.993216059187306]} Example iex&gt; berlin = %{lat: 52.5075419, lon: 13.4251364} iex&gt; bearing = -1.9739245359361486 iex&gt; distance = 100_000 iex&gt; Geocalc.destination_point(berlin, bearing, distance) {:ok, [52.147030316318904, 12.076990111001148]} Example iex&gt; berlin = [52.5075419, 13.4251364] iex&gt; paris = [48.8588589, 2.3475569] iex&gt; distance = 250_000 iex&gt; Geocalc.destination_point(berlin, paris, distance) {:ok, [51.578054644172525, 10.096282782248409]}"},{"ref":"Geocalc.html#distance_between/2","title":"Geocalc.distance_between/2","type":"function","doc":"Calculates distance between 2 points. Return distance in meters. Example iex&gt; berlin = [52.5075419, 13.4251364] iex&gt; paris = [48.8588589, 2.3475569] iex&gt; Geocalc.distance_between(berlin, paris) 878327.4291149472 iex&gt; Geocalc.distance_between(paris, berlin) 878327.4291149472 Example iex&gt; berlin = %{lat: 52.5075419, lon: 13.4251364} iex&gt; london = %{lat: 51.5286416, lng: -0.1015987} iex&gt; paris = %{latitude: 48.8588589, longitude: 2.3475569} iex&gt; Geocalc.distance_between(berlin, paris) 878327.4291149472 iex&gt; Geocalc.distance_between(paris, london) 344229.88946533133"},{"ref":"Geocalc.html#extend_bounding_box/2","title":"Geocalc.extend_bounding_box/2","type":"function","doc":"Extend the bounds to contain the given bounds Returns an array with 2 points (list format). The bottom left (southwest) point, and the top-right (northeast) one Example iex&gt; berlin = [52.5075419, 13.4251364] iex&gt; london = [51.5286416, -0.1015987] iex&gt; Geocalc.extend_bounding_box([berlin, berlin], [london, london]) [[51.5286416, -0.1015987], [52.5075419, 13.4251364]]"},{"ref":"Geocalc.html#geographic_center/1","title":"Geocalc.geographic_center/1","type":"function","doc":"Compute the geographic center (aka geographic midpoint, center of gravity) for an array of geocoded objects and/or [lat,lon] arrays (can be mixed). Any objects missing coordinates are ignored. Follows the procedure documented at http://www.geomidpoint.com/calculation.html. Example iex&gt; point_1 = [0, 0] iex&gt; point_2 = [0, 3] iex&gt; Geocalc.geographic_center([point_1, point_2]) [0.0, 1.5]"},{"ref":"Geocalc.html#intersection_point/4","title":"Geocalc.intersection_point/4","type":"function","doc":"Finds intersection point from start points with given bearings. Return array with latitude and longitude. Raise an exception if no intersection point found. Example iex&gt; berlin = [52.5075419, 13.4251364] iex&gt; berlin_bearing = -2.102 iex&gt; london = [51.5286416, -0.1015987] iex&gt; london_bearing = 1.502 iex&gt; Geocalc.intersection_point(berlin, berlin_bearing, london, london_bearing) {:ok, [51.49271112601574, 10.735322818996854]} Example iex&gt; berlin = {52.5075419, 13.4251364} iex&gt; london = {51.5286416, -0.1015987} iex&gt; paris = {48.8588589, 2.3475569} iex&gt; Geocalc.intersection_point(berlin, london, paris, london) {:ok, [51.5286416, -0.10159869999999019]} Example iex&gt; berlin = %{lat: 52.5075419, lng: 13.4251364} iex&gt; bearing = Geocalc.degrees_to_radians(90.0) iex&gt; Geocalc.intersection_point(berlin, bearing, berlin, bearing) {:error, &quot;No intersection point found&quot;}"},{"ref":"Geocalc.html#intersects_bounding_box?/2","title":"Geocalc.intersects_bounding_box?/2","type":"function","doc":"Returns true if the bounding box intersects the given bounds. Two bounds intersect if they have at least one point in common. Example iex&gt; germany = [[47.27, 5.87], [55.1, 15.04]] iex&gt; poland = [[49.0, 14.12], [55.03, 24.15]] iex&gt; Geocalc.intersects_bounding_box?(germany, poland) true"},{"ref":"Geocalc.html#max_latitude/2","title":"Geocalc.max_latitude/2","type":"function","doc":"Returns maximum latitude reached when travelling on a great circle on given bearing from the point (Clairaut&#39;s formula). Negate the result for the minimum latitude (in the Southern hemisphere). The maximum latitude is independent of longitude; it will be the same for all points on a given latitude. Return radians. Example iex&gt; berlin = [52.5075419, 13.4251364] iex&gt; paris = [48.8588589, 2.3475569] iex&gt; bearing = Geocalc.bearing(berlin, paris) iex&gt; Geocalc.max_latitude(berlin, bearing) 55.953467429882835"},{"ref":"Geocalc.html#overlaps_bounding_box?/2","title":"Geocalc.overlaps_bounding_box?/2","type":"function","doc":"Returns true if the bounding box overlaps the given bounds. Two bounds overlap if their intersection is an area. Example iex&gt; germany = [[47.27, 5.87], [55.1, 15.04]] iex&gt; berlin_suburbs = [[52.338261, 13.08835], [52.67551, 13.76116]] iex&gt; Geocalc.overlaps_bounding_box?(germany, berlin_suburbs) true"},{"ref":"Geocalc.html#radians_to_degrees/1","title":"Geocalc.radians_to_degrees/1","type":"function","doc":"Converts radians to degrees. Return degrees. Example iex&gt; Geocalc.radians_to_degrees(2.5075419) 143.67156782221554 Example iex&gt; Geocalc.radians_to_degrees(-0.1015987) -5.821176714015797"},{"ref":"Geocalc.html#within?/2","title":"Geocalc.within?/2","type":"function","doc":"Calculates if a point is within a polygon. Return boolean. Example iex&gt; point = [14.952242, 60.1696017] iex&gt; poly = [[24.950899, 60.169158], [24.953492, 60.169158], [24.953510, 60.170104], [24.950958, 60.169990]] iex&gt; Geocalc.within?(poly, point) false Example iex&gt; point = [24.952242, 60.1696017] iex&gt; poly = [[24.950899, 60.169158], [24.953492, 60.169158], [24.953510, 60.170104], [24.950958, 60.169990]] iex&gt; Geocalc.within?(poly, point) true Example iex&gt; point = [24.976567, 60.1612500] iex&gt; poly = [[24.950899, 60.169158], [24.953492, 60.169158], [24.953510, 60.170104], [24.950958, 60.169990]] iex&gt; Geocalc.within?(poly, point) false"},{"ref":"Geocalc.html#within?/3","title":"Geocalc.within?/3","type":"function","doc":"Calculates if a point is within radius of the center of a circle. Return boolean. Example iex&gt; berlin = [52.5075419, 13.4251364] iex&gt; paris = [48.8588589, 2.3475569] iex&gt; Geocalc.within?(10, paris, berlin) false iex&gt; Geocalc.within?(10, berlin, paris) false Example iex&gt; san_juan = %{lat: 18.4655, lon: 66.1057} iex&gt; puerto_rico = %{lat: 18.2208, lng: 66.5901} iex&gt; Geocalc.within?(170_000, puerto_rico, san_juan) true"},{"ref":"Geocalc.html#t:point_or_bearing/0","title":"Geocalc.point_or_bearing/0","type":"type","doc":""},{"ref":"Geocalc.DMS.html","title":"Geocalc.DMS","type":"module","doc":"The Geocalc.DMS is a struct which contains degrees, minutes, seconds and cardinal direction. Also have functions to convert DMS to decimal degrees."},{"ref":"Geocalc.DMS.html#to_decimal/1","title":"Geocalc.DMS.to_decimal/1","type":"function","doc":"Converts Geocalc.DMS to decimal degrees Example iex&gt; dms = %Geocalc.DMS{hours: 13, minutes: 31, seconds: 59.998, direction: &quot;N&quot;} iex&gt; Geocalc.DMS.to_decimal(dms) 13.533332777777778"},{"ref":"Geocalc.DMS.html#t:t/0","title":"Geocalc.DMS.t/0","type":"type","doc":""},{"ref":"Geocalc.Point.html","title":"Geocalc.Point","type":"protocol","doc":"The Geocalc.Point protocol is responsible for receiving latitude and longitude from any Elixir data structure. At this time it have implementations only for Map, Tuple and List. Point values can be decimal degrees or DMS (degrees, minutes, seconds)."},{"ref":"Geocalc.Point.html#latitude/1","title":"Geocalc.Point.latitude/1","type":"function","doc":"Returns point latitude"},{"ref":"Geocalc.Point.html#longitude/1","title":"Geocalc.Point.longitude/1","type":"function","doc":"Returns point longitude"},{"ref":"Geocalc.Point.html#t:t/0","title":"Geocalc.Point.t/0","type":"type","doc":""}]